use axum::{extract::DefaultBodyLimit, routing::post, Router};

use crate::routes::liquid::liquid_rescale_route;

pub fn create_router() -> Router {
    Router::new()
        .route("/liquid", post(liquid_rescale_route))
        .layer(DefaultBodyLimit::max(1024 * 10_000 /* 10 MiB */))
}
